@import "./../../../shared/styles/_variables.scss";

.kcc-tab {
	width: 330px;
	box-shadow: 0 0 6px rgba(0,0,0,0.5);
	position: relative;
	z-index: 9;
	padding: 0;
	margin:0 0 0 1rem;
	background:#fff;
	&.collapsed {
		margin-bottom: -100%;
	}
}

.kcc-tab-list{
	margin:0;
	display: flex;
}

.kcc-tab-header {
	display: flex;
	flex-flow: row nowrap;
	background: black;
	color: white;
	cursor: pointer;
	height: 3em;
	width: 330px;
	top: -3em;
}

.kcc-tab-title {
	display: flex;
	flex: 1 1 auto;	
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	padding: 0 1rem 0 1.25rem;
	align-items: center;
	zs-icon{
		display: flex;
		margin-right:15px;
	}
	.mdi-account{
		font-size:1.25rem;
	}
}

.kcc-tab-title-link{
	color:#fff;
	display: inline-block;
	overflow: hidden;
	text-overflow: ellipsis;
	&:hover{
		color:#fff;
		text-decoration: underline;
	}
}

.kcc-tab-actions {
	display: flex;
	align-items: center;
	padding-right:5px;
	.btn-round.btn{
		width:2rem;
		height:2rem;
		line-height: 2rem;
		&:hover{
			background:rgba(255,255,255,.3);
		}
		.mdi{
			color:#fff;
			font-size:1.3rem;
		}
	}

}

.kcc-tab-body {
	background: white;
	padding: .25rem .75rem;
}

.kcc-tab-field-list {
	margin: 0;
	padding: 0.5rem 0;
}

.kcc-tab-field {
	padding: 0.5rem 0;
	display: flex;
	align-items: baseline;
	font-size:.933rem;
}

.kcc-tab-field-icon {
	font-size:1.3rem;
	margin: 0px 1.15rem 0 .5rem;
	color:#666;
}

//hide old kcc bar
.kcc-bar{
	display: none;
}

//move object to bottom left
zs-active-subject {
    left: 0;
    position: fixed;
    bottom: 0;
    z-index: 9;
}